function cell_clicked(image) {
  var cn=image.getAttribute('cn');
  if (cn==0) {
    image.src='counters/' + pick + '.png';
    image.setAttribute('cn',pick);
    var id=image.id;
    var row=parseInt(id/5);
    var arr=get_cns(row);
    var score=worth(arr);
    var element=document.getElementById('s' + row);
    var old_score=element.textContent;
    element.textContent=score;
    total=total - old_score + score;
    var col=id % 5;
    var arr=get_col_cns(col);
    var score=worth(arr);
    var element=document.getElementById('s' + (col + 5));
    var old_score=element.textContent;
    element.textContent=score;
    total=total - old_score + score;
    var element=document.getElementById('total');
    element.textContent=total;
    pick=random(9);
    n++;
    show_pick();
  }
}